Body
This is the ID of the inventory item.
This is the SKU of the inventory item.
This is the UPC of the inventory item.
This is the description of the inventory item.
This is the size of the inventory item.
This is the color of the inventory item.
This is the incoming quantity of the inventory item.
This is the available quantity of the inventory item.
This is the warehouse ID of the inventory item.
This is the arrival date of the inventory item.
This is the delivery date of the inventory item.
This is the purchase order ID of the inventory item.
This is the created date of the inventory item.
This is the updated date of the inventory item.
Response
This is the ID of the inventory item.
This is the SKU of the inventory item.
This is the UPC of the inventory item.
This is the description of the inventory item.
This is the size of the inventory item.
This is the color of the inventory item.
This is the incoming quantity of the inventory item.
This is the available quantity of the inventory item.
This is the warehouse ID of the inventory item.
This is the arrival date of the inventory item.
This is the delivery date of the inventory item.
This is the purchase order ID of the inventory item.
This is the created date of the inventory item.
This is the updated date of the inventory item.
curl --location --request POST 'https://api.stateset.com/v1/inventory_items' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"current_token": ""
}'
mutation InsertNewInventoryItem(
$inventory_item: inventory_items_insert_input!
) {
insert_inventory_items (
objects: [$inventory_item]
) {
returning {
id
sku
upc
description
size
color
incoming
available
warehouse
arrivalDate
deliveryDate
}
}
}
var created = await stateset.inventoryItems.create({
sku: "SKU-123",
upc: "UPC-123",
description: "This is a description",
size: "Large",
color: "Red",
incoming: 10,
available: 10,
warehouse: 1,
arrivalDate: "2021-01-01",
deliveryDate: "2021-01-01",
});
created = stateset.inventory_items.create(
sku="SKU-123",
upc="UPC-123",
description="This is a description",
size="Large",
color="Red",
incoming=10,
available=10,
warehouse=1,
arrivalDate="2021-01-01",
deliveryDate="2021-01-01",
)
created = Stateset::InventoryItem.create(
sku: "SKU-123",
upc: "UPC-123",
description: "This is a description",
size: "Large",
color: "Red",
incoming: 10,
available: 10,
warehouse: 1,
arrivalDate: "2021-01-01",
deliveryDate: "2021-01-01",
)
$created = $stateset->inventoryItems->create(
array(
"sku" => "SKU-123",
"upc" => "UPC-123",
"description" => "This is a description",
"size" => "Large",
"color" => "Red",
"incoming" => 10,
"available" => 10,
"warehouse" => 1,
"arrivalDate" => "2021-01-01",
"deliveryDate" => "2021-01-01",
)
);
created, err := stateset.InventoryItems.Create(
"SKU-123",
"UPC-123",
"This is a description",
"Large",
"Red",
10,
10,
1,
"2021-01-01",
"2021-01-01",
)
InventoryItem created = stateset.inventoryItems.create(
"SKU-123",
"UPC-123",
"This is a description",
"Large",
"Red",
10,
10,
1,
"2021-01-01",
"2021-01-01",
);
{
"inventory_items": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"sku": "SKU-123",
"description": "This is a description",
"size": "Large",
"incoming": 10,
"color": "Red",
"warehouse": 1,
"available": 10,
"arriving": "2021-01-01",
"purchase_order_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
},
]
}